* Clean & Code Data
*Unique Identifiers
egen sid=group(Session ID)
*Gender=0 if "prefer not to answer"
	replace Male="0" if Male!="1"
	destring Male, replace
**For First round of sessions, 6 subjects "prefer not to answer"
*Race
*Race=1 if Black, 2 if white, 3 if other 4 if prefer not to answer
	generate Black=0
	replace Black=1 if Race=="B"
	replace Race="1" if Race=="B"
	replace Race="2" if Race=="W"
	replace Race="3" if Race=="O"
	replace Race="4" if Race=="P"
	destring Race, replace
	label define racel 1 "Black" 2 "White" 3 "Other" 4 "Prefer Not to Answer"
	label values Race racel
*Religion
*Religion=1 if Catholic, 2 if Protestant, 3 if Muslim, 4 if Jewish, 5 if Agnostic
*Religion=6 if None, 7 if Don't Know, 8 if Prefer not to Anser 9 if other
	replace Religion="1" if Religion=="Catholic"
	replace Religion="2" if Religion=="Prot"
	replace Religion="3" if Religion=="Muslim"
	replace Religion="4" if Religion=="Jewish"
	replace Religion="5" if Religion=="Agnostic"
	replace Religion="6" if Religion=="None"
	replace Religion="7" if Religion=="Don't Know"
	replace Religion="8" if Religion=="Prefer"
	replace Religion="9" if Religion=="Other"
	destring Religion, replace
	generate Catholic=0
	replace Catholic=1 if Religion==1
	label define religionl 1 "Catholic" 2 "Protestant" 3 "Muslim" 4 "Jewish" 5 "Agnostic" 6 "No Religion" 7 "Don't Know" 8 "Prefer Not to Answer" 9 "Other"
	label values Religion religionl
*Previous Experience. =1 if Y, 2 if N, 3 if DK
	replace PrevExp="1" if PrevExp=="Y"
	replace PrevExp="2" if PrevExp=="N"
	replace PrevExp="3" if PrevExp=="DK"
	destring PrevExp, replace
	generate PrevExp_Yes=0
	replace PrevExp_Yes=1 if PrevExp==1
	label define PrevExpl 1 "Yes" 2 "No" 3 "Don't Know"
	label values PrevExp PrevExpl
*School Year, =1 if Fresh, 2 if soph, 3 if Jr, 4 if sr, 5 if grad, 6 if not enrolled, 7 if prefer
	replace SchoolYr="1" if SchoolYr=="F"
	replace SchoolYr="2" if SchoolYr=="So"
	replace SchoolYr="3" if SchoolYr=="Jr"
	replace SchoolYr="4" if SchoolYr=="Sr"
	replace SchoolYr="5" if SchoolYr=="GS"
	replace SchoolYr="6" if SchoolYr=="NE"
	replace SchoolYr="7" if SchoolYr=="P"
	destring SchoolYr, replace
	label define yrl 1 "Freshman" 2 "Sophomore" 3 "Junior" 4 "Senior" 5 "Graduate Student" 6 "Not Currently Enrolled" 7 "Prefer Not to Answer"
	label values SchoolYr yrl
*GPA, enter missing if prefer not to answer
	replace GPA="." if GPA=="P"
	destring GPA, replace
*Major, code for Business or Econ
	generate MajorBusEcon=0
	replace MajorBusEcon=1 if Major=="Accounting"
	replace MajorBusEcon=1 if Major=="Actuarial Science"
	replace MajorBusEcon=1 if Major=="Business"
	replace MajorBusEcon=1 if Major=="Business Econ"
	replace MajorBusEcon=1 if Major=="Econ"
	replace MajorBusEcon=1 if Major=="Hospitality Administration"
	replace MajorBusEcon=1 if Major=="IEML"
	replace MajorBusEcon=1 if Major=="Managerial Science"
	replace MajorBusEcon=1 if Major=="Marketing"
*Race Passed To 
	generate PassedtoBlack=0
	replace PassedtoBlack=1 if RacePassedTo=="B"
	replace RacePassedTo="1" if RacePassedTo=="B"
	replace RacePassedTo="2" if RacePassedTo=="W"
	replace RacePassedTo="3" if RacePassedTo=="O"
	replace RacePassedTo="4" if RacePassedTo=="P"
	destring RacePassedTo, replace
	label define racel 1 "Black" 2 "White" 3 "Other" 4 "Prefer Not to Answer"
	label values RacePassedTo racel
*Sex Passed To, same as gender
	replace SexPassedTo="0" if SexPassedTo!="1"
	destring SexPassedTo, replace
	label define sexl 0 "Female/Prefer Not to Answer" 1 "Male" 
	label values SexPassedTo sexl
*Describe Sessions (1=BL, 2=S9, 3=S10)
	generate SessionType=1
	replace SessionType=2 if Session==3 | Session==5 | Session==7 | Session==10
	replace SessionType=3 if Session==4 | Session==6 | Session==8 | Session==9
	label define sessionl 1 "Baseline" 2 "Costly Sorting" 3 "Costless Sorting"
	label values SessionType sessionl
	gen sorting=0
	replace sorting=1 if SessionType!=1
	gen optout=0
	replace optout=1 if AmtPassed=="NA"
	replace AmtPassed="0" if AmtPassed=="NA"
	destring AmtPassed, replace
	replace AmtKept="." if AmtKept=="exit"
	destring AmtKept, replace
	replace AmtKept=9 if AmtKept==. & SessionType==2
	replace AmtKept=10 if AmtKept==. & SessionType==3
	gen shared0=0
	replace shared0=1 if AmtPassed==0
	label variable AmtPassed "Amount Passed"
	gen percshared = AmtPassed/10
	label var percshared "Percent Shared"
	gen costly=0
	replace costly=1 if SessionType==2
	label var costly "Costly Sorting"
*Misc
	gen PassedSameRace=0
	replace PassedSameRace=1 if RacePassedTo==Race
	gen IATxSameRace= PassedSameRace*IATd
	gen IATxPassedBlack= IATd*PassedtoBlack
*IAT effect size
	gen IATsl=1 if IATd>=.15 & IATd<.35 /*slight*/
	gen IATm=1 if IATd>.35 & IATd<.65 /*moderate*/
	gen IATst=1 if IATd>=.65 /*strong*/
	gen strength=0
	replace strength=1 if IATd>=.15 & IATd<.35
	replace strength=2 if IATd>.35 & IATd<.65
	replace strength=3 if IATd>=.65
	replace strength=-1 if IATd<=-.15 & IATd>-.35
	replace strength=-2 if IATd<-.35 & IATd>-.65
	replace strength=-3 if IATd<=-.65
	label var strength "Strength of the Association"
	label define strl -3 "Strong Automatic Preference for Blacks" -2 "Moderate Automatic Preference for Blacks" ///
	-1 "Slight Automatic Preference for Blacks" 0 "Little to No Automatic Preference" 1 "Slight Automatic Preference for Whites" ///
	2 "Moderate Automatic Preference for Whites" 3 "Strong Automatic Preference for Whites"
	label values strength strl
*Roles **NOTE ONLY USE FOR DATASET /*D_and_R */
	*gen dict=0
	*replace dict=1 if ID<10 & Session==1
	*replace dict=1 if ID<14 & Session==2
	*replace dict=1 if ID<14 & Session==3
	*replace dict=1 if ID<17 & Session==4
	*replace dict=1 if ID<16 & Session==5
	*replace dict=1 if ID<10 & Session==6
	*replace dict=1 if ID<15 & Session==7
	*replace dict=1 if ID<13 & Session==8
	*replace dict=1 if ID<12 & Session==9
	*replace dict=1 if ID<15 & Session==10
	*replace dict=1 if ID<12 & Session==11
	*label var dict "Role"
	*label define dictl 0 "Receiver" 1 "Dictator"
	*label values dict dictl
**NP's between roles
	tab dict Male, ch
	tab dict Black, ch
	tab dict Catholic, ch
	tab dict MajorBusEcon, ch
	tab dict PrevExp_Yes, ch
	ranksum GPA, by(dict)
	tab dict SchoolYr, ch
	ranksum Age, by (dict)
	bys dict: sum GPA
	bys dict: sum Age
**Histograms under sorting
	twoway (hist AmtPassed if sorting==1, discrete start(0) color(blue)) (hist AmtPassed if sorting==0, discrete start(0) fcolor(none) lcolor(red) lwidth(thick)),  legend(order(1 "Sorting" 2 "No Sorting" ))
**Bar Graphs of giving under sorting **Make graph in excel
	tabout SessionType amt_test using fig2.xls
** Hist of IAT score
	hist IATd, start(-2) width(.15) lcolor(black) fcolor(gs12) normal xtitle("Distribution of IAT D-scores") 
	*twoway (hist IATd if Black==1, start(-2) width(.15) lcolor(none) fcolor(black)) (hist IATd if Black==0, start(-2) width(.15) fcolor(gs12)) 
	*twoway (hist AmtPassed if Session<15, lcolor(none) fcolor(black)) (hist AmtPassed if Session>14,  fcolor(gs12))
** IAT/Passing/Sorting Figure
	scatter AmtPassed IATd, xline(0.15) scheme(s2mono)
	cibar IATd if sorting==1 & Session<15, over1(optout) over2(SessionType) ciopts(scheme(s2mono)) graphopts(yline(0.15))
	corr AmtPassed IATd
**Passed to Table
	ssc install tabout

	tabout Race RacePassedTo using table1.txt, cells(freq col cum) format(0 1) clab(No. Col_% Cum_%) replace style(tex) bt cl1(2-10) cl2(2-4 5-7 8-10) font(bold) topf(top.tex) botf(bot.tex) topstr(14cm) botstr(IAT_masterdata.dta)

**Table 1 from Lazear, Malmendier, Weber (LMW)
	*reg percshared sorting , hc3
	*reg percshared sorting Black, hc3
	*reg percshared sorting Black PassedtoBlack, hc3
	*reg percshared sorting Black IATd, hc3
	*reg percshared sorting Black PassedtoBlack IATd, hc3
	*reg percshared sorting IATd, hc3
	*reg percshared i.SessionType , hc3
	*reg percshared i.SessionType Black, hc3
	*reg percshared i.SessionType Black PassedtoBlack, hc3
	*reg percshared i.SessionType Black IATd, hc3
	*reg percshared i.SessionType Black PassedtoBlack IATd, hc3
	*reg percshared i.SessionType IATd, hc3
	*tobit percshared sorting , ll vce(jackknife)
	*dprobit percshared sorting , robust
	
	reg percshared IATs if Session<15, hc3
	outreg2 using myfile2.xls, replace
	reg percshared IATs PassedtoBlack PassedSameGender if Session<15, hc3
	outreg2 using myfile2.xls, append
	reg percshared IATs PassedtoBlack PassedSameGender sorting if Session<15, hc3
	outreg2 using myfile2.xls, append
	reg percshared IATs PassedtoBlack PassedSameGender sorting IATxPassedBlack IATsort if Session<15, hc3
	outreg2 using myfile2.xls, append
	tobit percshared IATs if Session<15, ll vce(jackknife)
	outreg2 using myfile1.xls, onecol replace
	tobit percshared IATs PassedtoBlack PassedSameGender if Session<15, ll vce(jackknife)
	outreg2 using myfile1.xls, onecol append
	tobit percshared IATs PassedtoBlack PassedSameGender sorting if Session<15, ll vce(jackknife)
	outreg2 using myfile1.xls, onecol append
	tobit percshared IATs PassedtoBlack PassedSameGender sorting IATxPassedBlack IATsort if Session<15, ll vce(jackknife)
	outreg2 using myfile1.xls, onecol append
	
	reg percshared IATd PassedtoBlack PassedSameGender sorting IATxPassedBlack IATsort, hc3
	
	

	**elasticities
	reg percshared IATd PassedSameRace PassedSameGender sorting IATxSameRace IATsort, hc3
	margins, eyex(_all) post
	tobit percshared IATd PassedSameRace PassedSameGender sorting IATxSameRace IATsort, ll vce(jackknife)
	margins, eyex(_all) post
	
	
**Table 2 from LMW
*Table 2:
	reg percshared IATs if Session<15, hc3
	outreg2 using LMW2.xls, replace
	reg percshared sorting Age Male Black Catholic PrevExp_Yes MajorBusEcon GPA if Session<15, hc3
	outreg2 using LMW2.xls, append
	reg percshared IATs sorting Age Male Black Catholic PrevExp_Yes MajorBusEcon GPA if Session<15, hc3
	outreg2 using LMW2.xls, append
	pcorr percshared IATs sorting Age Male Black Catholic PrevExp_Yes MajorBusEcon GPA if Session<15
**Box Plots of giving when biased
graph box AmtPassed if Session<15, over(PassedtoBias, des) scheme(s2mono)
graph box AmtPassed if Session<15 & optout==0, over1(PassedtoBias, des) ciopts(scheme(s2mono)

**Exit options
	dprobit optout IATs if sorting==1 & Session<15, robust
	outreg2 using probit1.xls, replace
	dprobit optout IATs PassedtoBlack PassedSameGender if sorting==1 & Session<15, robust
	outreg2 using probit1.xls, append
	dprobit optout IATs PassedtoBlack PassedSameGender costly if sorting==1 & Session<15, robust
	outreg2 using probit1.xls, append
	dprobit optout IATs PassedtoBlack PassedSameGender costly IATxPassedBlack  if sorting==1 & Session<15, robust
	outreg2 using probit1.xls, append
**Bar graph of sorting
graph bar optout if sorting==1 & Session<15, over(PassedtoBias, des) scheme(s2mono)
cibar optout if sorting==1 & Session<15, over1(PassedtoBias) ciopts(scheme(s2mono))

	dprobit shared0 IATs if sorting==1 & Session<12, robust
	outreg2 using probit2.tex, replace
	dprobit shared0 IATs PassedSameRace PassedSameGender if sorting==1, robust
	outreg2 using probit2.tex, append
	dprobit shared0 IATs PassedSameRace PassedSameGender costly if sorting==1, robust
	outreg2 using probit2.tex, append
	dprobit shared0 IATs PassedSameRace PassedSameGender costly IATxSameRace if sorting==1, robust
	outreg2 using probit2.tex, append

**small gifts
	tab bias SmallGift1 if sorting==0 & anon==0, ch
	tab bias SmallGift2 if sorting==0 anon==0, ch
	tab bias SmallGift3 if sorting==0 & anon==0, ch
	tab bias SmallGift1 if sorting==1 & anon==0, ch
	tab bias SmallGift2 if sorting==1 & anon==0, ch
	tab bias SmallGift3 if sorting==1 & anon==0, ch
	tab bias SmallGift1 if costly==1 & anon==0, ch
	tab bias SmallGift2 if costly==1 & anon==0, ch
	tab bias SmallGift3 if costly==1 & anon==0, ch
	tab bias SmallGift1 if costless==1 & anon==0, ch
	tab bias SmallGift2 if costless==1 & anon==0, ch
	tab bias SmallGift3 if costless==1 & anon==0, ch
	tab bias SmallGift1 if PassedtoBlack==1 & anon==0, ch
	tab bias SmallGift2 if PassedtoBlack==1 & anon==0, ch
	tab bias SmallGift3 if PassedtoBlack==1 & anon==0, ch
	tab bias SmallGift1 if PassedtoBlack==1 & sorting==1 & anon==0, ch
	tab bias SmallGift2 if PassedtoBlack==1 & sorting==1 & anon==0, ch
	tab bias SmallGift3 if PassedtoBlack==1 & sorting==1 & anon==0, ch	
	tab bias SmallGift1 if anon==0, ch
	tab bias SmallGift2 if anon==0, ch
	tab bias SmallGift3 if anon==0, ch
**Appendix Hurdle Model
	findit craggit
	craggit optout IATs if Session<15 & sorting==1, sec(AmtPassed IATs)
	outreg2 using hurdle1.xls, onecol replace
	craggit optout IATs PassedtoBlack PassedSameGender if Session<15 & sorting==1, sec(AmtPassed IATs PassedtoBlack PassedSameGender)
	outreg2 using hurdle1.xls, onecol append
	craggit optout IATs PassedtoBlack PassedSameGender costly if Session<15 & sorting==1, sec(AmtPassed IATs PassedtoBlack PassedSameGender costly)
	outreg2 using hurdle1.xls, onecol append
	craggit optout IATs PassedtoBlack PassedSameGender costly IATxPassedBlack if Session<15 & sorting==1, sec(AmtPassed IATs PassedtoBlack PassedSameGender costly IATxPassedBlack)
	outreg2 using hurdle1.xls, onecol append
**Table 5 from LMW
	reg AmtPassed sorting costly if optout != 0, cluster(sid)
	tobit AmountShared Sorting Subsidy SubsidySize if Play != 0, ll(0)
	reg PredShare Sorting Subsidy SubsidySize if Play != 0, cluster(NewSubjID)
	tobit PredShare Sorting Subsidy SubsidySize if Play != 0, ll(0)
	reg InitShare Sorting Subsidy SubsidySize if Play != 0, cluster(NewSubjID)
	tobit InitShare Sorting Subsidy SubsidySize if Play != 0, ll(0)
**discrete variables**
*binary
gen like=0
replace like=1 if strength>0 & PassedtoBlack==0
replace like=1 if strength<0 & PassedtoBlack==1
gen dislike=0
replace dislike=1 if strength>0 & PassedtoBlack==1
replace dislike=1 if strength<0 & PassedtoBlack==0
**broken down PW--pro white PB-pro blackl WR-white receiver BR-black receiver
gen PWWR=0 
replace PWWR=1 if strength>0 & PassedtoBlack==0
gen PBBR=0 
replace PBBR=1 if strength<0 & PassedtoBlack==1
gen PWBR=0
replace PWBR=1 if strength>0 & PassedtoBlack==1
gen PBWR=0
replace PBWR=1 if strength<0 & PassedtoBlack==0
**estimations
reg percshared like dislike if anon==0 & IATs!=., hc3
outreg2 using binary.xls, replace
reg percshared PWWR PBBR PWBR PBWR if anon==0  & IATs!=.,hc3
outreg2 using binary.xls, append
reg optout like dislike if sorting==1 & anon==0 & IATs!=., hc3
outreg2 using binary.xls, append
reg optout PWWR PBBR PWBR PBWR if sorting==1 & anon==0  & IATs!=.,hc3
outreg2 using binary.xls, append
probit optout like dislike if sorting==1 & anon==0 & IATs!=., robust
outreg2 using binary.xls, append
probit optout PWWR PBBR PWBR PBWR if sorting==1 & anon==0  & IATs!=., robust 
outreg2 using binary.xls, append

	dprobit optout IATs IATxPassedBlack if sorting==1 & Session<15, robust
	outreg2 using newprobit1.xls, replace
	dprobit optout IATs IATxPassedBlack costly if sorting==1 & Session<15, robust
	outreg2 using newprobit1.xls, append
	dprobit optout IATs IATxPassedBlack costly Black Male if sorting==1 & Session<15, robust
	outreg2 using newprobit1.xls, append
	dprobit optout IATs IATxPassedBlack costly PassedtoBlack PassedSameGender if sorting==1 & Session<15, robust
	outreg2 using newprobit1.xls, append
	dprobit optout IATs costly IATxPassedBlack Black Male PassedtoBlack PassedSameGender if sorting==1 & Session<15, robust
	outreg2 using newprobit1.xls, append
	
	tab PassedtoBias SmallGift1 if sorting==0 & anon==0, ch
	tab PassedtoBias SmallGift2 if sorting==0 & anon==0, ch
	tab PassedtoBias shared0 if sorting==0 & anon==0, ch
	tab PassedtoBias SmallGift1 if sorting==1 & anon==0, ch
	tab PassedtoBias SmallGift2 if sorting==1 & anon==0, ch
	tab PassedtoBias shared0 if sorting==1 & anon==0, ch
	tab PassedtoBias SmallGift1 if costly==1 & anon==0, ch
	tab PassedtoBias SmallGift2 if costly==1 & anon==0, ch
	tab PassedtoBias shared0 if costly==1 & anon==0, ch
	tab PassedtoBias SmallGift1 if costless==1 & anon==0, ch
	tab PassedtoBias SmallGift2 if costless==1 & anon==0, ch
	tab PassedtoBias shared0 if costless==1 & anon==0, ch
	tab PassedtoBias SmallGift1 if PassedtoBlack==1 & anon==0, ch
	tab PassedtoBias SmallGift2 if PassedtoBlack==1 & anon==0, ch
	tab PassedtoBias shared0 if PassedtoBlack==1 & anon==0, ch
	tab PassedtoBias SmallGift1 if PassedtoBlack==1 & sorting==1 & anon==0, ch
	tab PassedtoBias SmallGift2 if PassedtoBlack==1 & sorting==1 & anon==0, ch
	tab PassedtoBias shared0 if PassedtoBlack==1 & sorting==1 & anon==0, ch	
	tab PassedtoBias SmallGift1 if anon==0, ch
	tab PassedtoBias SmallGift2 if anon==0, ch
	tab PassedtoBias shared0 if anon==0, ch
